curl --request GET \
--url https://api.growthchannel.io/performance/?date_from=2025-01-01&date_to=2025-1-03&advertiser_id=544
Public endpoints
Campaign Performance
GET
/
performance
/
?date_from=
{date_from}
&date_to=
{date_to}
&advertiser_id=
{advertiser_id}
curl --request GET \
--url https://api.growthchannel.io/performance/?date_from=2025-01-01&date_to=2025-1-03&advertiser_id=544
Maximum date range 365 days
This endpoint is protected and requires an agency API key for access.
curl --request GET \
--url https://api.growthchannel.io/performance/?date_from=2025-01-01&date_to=2025-1-03&advertiser_id=544
Method
GETEndpoint
/performance/Headers
string
required
The agency’s API key for authorization ask admin to create ot for your usage
Parms
string
required
Date staring from response will be generated
?date_from=2025-01-01string
required
Date ending with response will be generated
?date_to=2025-01-03number
required
The unique identifier for the adveticer
?advertiser_id=544Responses
- 200 OK
- 400 Bad Request
- 401 Unauthorized
- 500 Internal Server Error
{
"data": [
{
"...": "..."
}
],
"pagination": {
"total_records": 100,
"total_pages": 10
},
"parameters": {
"date_from": "2023-01-01",
"date_to": "2023-01-03",
"advertiser_id": 544
}
}
array
An array of campaign performance objects.
object
object
An object containing the query parameters used for the request.
Returned if required query parameters like
date_from or date_to are missing.{
"error": {
"code": "VALIDATION_ERROR",
"message": "Missing required parameters",
"details": {
"missing_fields": ["date_from", "date_to"]
},
"request_id": "..."
}
}
Returned if the
X-Api-Key header is missing or invalid.Returned if there is an unexpected error on the server while fetching data.
